#include <stdio.h>
#include <string.h>
#include <mpi.h>

int main(int argc, char **argv)
{
    int x;
    FILE *fp;
    //char *fname="job_100.out";
    char fname[100];
    int me, nproc, root=0;

    MPI_Init(&argc, &argv);
    MPI_Comm_rank(MPI_COMM_WORLD, &me);
    MPI_Comm_size(MPI_COMM_WORLD, &nproc);

    fprintf(stdout, "%d] **** Hello world job2! ***\n", me);
    if (me == root) {
      if (argc < 2) {
        fprintf(stderr, "Error: input parameter missing.\n");
        fflush(stderr);
        MPI_Abort(MPI_COMM_WORLD, 1);
      }
      else {
        //sprintf(fname, "job_%s.out", argv[1]);
        strcpy(fname, argv[1]);
      }
      fprintf(stdout, "fname= %s\n", fname);
      fp = fopen(fname, "r");
      if (fp == NULL) {
        fprintf(stderr, "Error: file %s can not be opened.\n", fname);
        fflush(stderr);
        MPI_Abort(MPI_COMM_WORLD, 1);
      }
      fscanf(fp, "%d", &x);
      fclose(fp);
    }
    MPI_Bcast(&x, 1, MPI_INT, root, MPI_COMM_WORLD);
    fprintf(stdout, "%d] x= %d\n", me, x);
    sleep(10);
    MPI_Finalize( );
    return 0;
}

