#!/bin/sh
#
# Return values of this script:
# 0       - Success
# n != 0  - Failure


# Checking
NARGS=$#
if [ $NARGS -lt 3 ]; then
  echo "[ERROR]: Invalid number of arguments ($NARGS). Buy!"
  exit 1
fi

# Binary to be executed
EXE=$1
# Arguments
ARG=$2
OARG=$3
echo "Arguments:"
echo "  EXE=  $EXE"
echo "  ARG=  $ARG"
echo "  OARG= $OARG"

JOBDIR=`pwd`
if [ ! -e "$EXE" ]; then
  echo "[ERROR]: File $EXE not available!"
  exit 1
fi
if [ ! -f $ARG ]; then
  echo "[ERROR]: File $ARG not available!"
  exit 1
fi
chmod 755 $EXE
ls -ls

echo ""
echo "=== wrapper-maxcut Start: " `date` " ==="
echo "==========================================================="
echo "  HOST=  "`hostname`
echo "  UID =  "`whoami`
echo "  JOBDIR= $JOBDIR"
# Execute the job
echo "Executing: $EXE $ARG"
$JOBDIR/$EXE $ARG 1>${OARG} 2>&1
excode=$?
echo "==========================================================="
echo "=== wrapper-maxcut End:   " `date` " ==="

exit $excode

